import { OnInit, EventEmitter } from '@angular/core';
import { IChatConversacion } from '../../dto/ichat-conversacion';
import { Fecha } from '../../../utilitario/fecha';
export declare class ChatConversacionComponent implements OnInit {
    conversacion: IChatConversacion;
    nuevoMensaje: EventEmitter<any>;
    eliminarMensajes: EventEmitter<any>;
    bloquearConversacion: EventEmitter<any>;
    fecha: Fecha;
    constructor();
    ngOnInit(): void;
    lineaDia(fecha: any, index: any): boolean;
    diferenciaDias(fecha: any): string;
    escogerEstilo(tipoMensaje: any): "ngx-utilitario-chat-right float-right arrow_box" | "ngx-utilitario-chat-left float-left";
    estadoMensajeEnviado(estado: any, tipoMensaje: any): boolean;
    estadoMensajeRecibido(estado: any, tipoMensaje: any): boolean;
    estadoMensajeLeido(estado: any, tipoMensaje: any): boolean;
    enviarMensaje(mensaje: any): void;
    eliminarConversacion(): void;
    bloquear(): void;
    desbloquear(): void;
    validarEstadoBLoqueado(estado: any): boolean;
}
